## org.apache.solr.common.cloud
Class HashPartitioner

    java.lang.Object
      org.apache.solr.common.cloud.HashPartitioner

    public class HashPartitioner

extends Object

Class to partition int range into n ranges.

Nested Class Summary
`static class` `HashPartitioner.Range`

Constructor Summary
`HashPartitioner()`

Method Summary
`HashPartitioner.Range` `fromString(String range)`
`HashPartitioner.Range` `fullRange()`
`List<HashPartitioner.Range>` `partitionRange(int partitions, HashPartitioner.Range range)`
`List<HashPartitioner.Range>` `partitionRange(int partitions, int min, int max)` Returns the range for each partition

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashPartitioner

    public HashPartitioner()

Method Detail

### fromString

    public HashPartitioner.Range fromString(String range)

### fullRange

    public HashPartitioner.Range fullRange()

### partitionRange

    public List<HashPartitioner.Range> partitionRange(int partitions,
                                                      HashPartitioner.Range range)

### partitionRange

    public List<HashPartitioner.Range> partitionRange(int partitions,
                                                      int min,
                                                      int max)

  Returns the range for each partition